SoulFire LogoSoulFire

Get instance

Gets detailed information about a specific instance. Supports conditional requests via if_modified_since to reduce bandwidth.

GET
/v1/instances/:id

Gets detailed information about a specific instance. Supports conditional requests via if_modified_since to reduce bandwidth.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

id*string

The unique identifier (UUID) of the instance.

Query Parameters

if_modified_since?string

Optional timestamp for conditional requests. If provided and the instance configuration has not been modified since this timestamp, the server returns InstanceNotModified instead of the full InstanceInfo. This helps reduce bandwidth for polling clients.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "http://127.0.0.1:38765/v1/instances/:id"
{
  "info": {
    "friendly_name": "string",
    "icon": "string",
    "config": {
      "settings": [
        {
          "namespace": "string",
          "entries": [
            {
              "key": "string",
              "value": {
                "null_value": "NULL_VALUE",
                "number_value": 0.1,
                "string_value": "string",
                "bool_value": true,
                "struct_value": {
                  "fields": {
                    "property1": {
                      "null_value": "NULL_VALUE",
                      "number_value": 0.1,
                      "string_value": "string",
                      "bool_value": true,
                      "struct_value": {
                        "fields": {}
                      },
                      "list_value": {
                        "values": [
                          {
                            "null_value": "NULL_VALUE",
                            "number_value": 0.1,
                            "string_value": "string",
                            "bool_value": true,
                            "struct_value": {
                              "fields": {}
                            },
                            "list_value": {
                              "values": []
                            }
                          }
                        ]
                      }
                    },
                    "property2": {
                      "null_value": "NULL_VALUE",
                      "number_value": 0.1,
                      "string_value": "string",
                      "bool_value": true,
                      "struct_value": {
                        "fields": {}
                      },
                      "list_value": {
                        "values": [
                          {
                            "null_value": "NULL_VALUE",
                            "number_value": 0.1,
                            "string_value": "string",
                            "bool_value": true,
                            "struct_value": {
                              "fields": {}
                            },
                            "list_value": {
                              "values": []
                            }
                          }
                        ]
                      }
                    }
                  }
                },
                "list_value": {
                  "values": [
                    {
                      "null_value": "NULL_VALUE",
                      "number_value": 0.1,
                      "string_value": "string",
                      "bool_value": true,
                      "struct_value": {
                        "fields": {
                          "property1": {
                            "null_value": "NULL_VALUE",
                            "number_value": 0.1,
                            "string_value": "string",
                            "bool_value": true,
                            "struct_value": {
                              "fields": {}
                            },
                            "list_value": {
                              "values": []
                            }
                          },
                          "property2": {
                            "null_value": "NULL_VALUE",
                            "number_value": 0.1,
                            "string_value": "string",
                            "bool_value": true,
                            "struct_value": {
                              "fields": {}
                            },
                            "list_value": {
                              "values": []
                            }
                          }
                        }
                      },
                      "list_value": {
                        "values": []
                      }
                    }
                  ]
                }
              }
            }
          ]
        }
      ],
      "accounts": [
        {
          "type": "MICROSOFT_JAVA_CREDENTIALS",
          "profile_id": "string",
          "last_known_name": "string",
          "online_chain_java_data": {
            "auth_chain": {
              "fields": {
                "property1": {
                  "null_value": "NULL_VALUE",
                  "number_value": 0.1,
                  "string_value": "string",
                  "bool_value": true,
                  "struct_value": {
                    "fields": {}
                  },
                  "list_value": {
                    "values": [
                      {
                        "null_value": "NULL_VALUE",
                        "number_value": 0.1,
                        "string_value": "string",
                        "bool_value": true,
                        "struct_value": {
                          "fields": {}
                        },
                        "list_value": {
                          "values": []
                        }
                      }
                    ]
                  }
                },
                "property2": {
                  "null_value": "NULL_VALUE",
                  "number_value": 0.1,
                  "string_value": "string",
                  "bool_value": true,
                  "struct_value": {
                    "fields": {}
                  },
                  "list_value": {
                    "values": [
                      {
                        "null_value": "NULL_VALUE",
                        "number_value": 0.1,
                        "string_value": "string",
                        "bool_value": true,
                        "struct_value": {
                          "fields": {}
                        },
                        "list_value": {
                          "values": []
                        }
                      }
                    ]
                  }
                }
              }
            }
          },
          "offline_java_data": {},
          "bedrock_data": {
            "auth_chain": {
              "fields": {
                "property1": {
                  "null_value": "NULL_VALUE",
                  "number_value": 0.1,
                  "string_value": "string",
                  "bool_value": true,
                  "struct_value": {
                    "fields": {}
                  },
                  "list_value": {
                    "values": [
                      {
                        "null_value": "NULL_VALUE",
                        "number_value": 0.1,
                        "string_value": "string",
                        "bool_value": true,
                        "struct_value": {
                          "fields": {}
                        },
                        "list_value": {
                          "values": []
                        }
                      }
                    ]
                  }
                },
                "property2": {
                  "null_value": "NULL_VALUE",
                  "number_value": 0.1,
                  "string_value": "string",
                  "bool_value": true,
                  "struct_value": {
                    "fields": {}
                  },
                  "list_value": {
                    "values": [
                      {
                        "null_value": "NULL_VALUE",
                        "number_value": 0.1,
                        "string_value": "string",
                        "bool_value": true,
                        "struct_value": {
                          "fields": {}
                        },
                        "list_value": {
                          "values": []
                        }
                      }
                    ]
                  }
                }
              }
            }
          },
          "online_simple_java_data": {
            "access_token": "string",
            "expire_time_ms": 0
          },
          "config": [
            {
              "namespace": "string",
              "entries": [
                {
                  "key": "string",
                  "value": {
                    "null_value": "NULL_VALUE",
                    "number_value": 0.1,
                    "string_value": "string",
                    "bool_value": true,
                    "struct_value": {
                      "fields": {
                        "property1": {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {}
                          },
                          "list_value": {
                            "values": [
                              {}
                            ]
                          }
                        },
                        "property2": {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {}
                          },
                          "list_value": {
                            "values": [
                              {}
                            ]
                          }
                        }
                      }
                    },
                    "list_value": {
                      "values": [
                        {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {
                              "property1": {},
                              "property2": {}
                            }
                          },
                          "list_value": {
                            "values": []
                          }
                        }
                      ]
                    }
                  }
                }
              ]
            }
          ],
          "persistent_metadata": [
            {
              "namespace": "string",
              "entries": [
                {
                  "key": "string",
                  "value": {
                    "null_value": "NULL_VALUE",
                    "number_value": 0.1,
                    "string_value": "string",
                    "bool_value": true,
                    "struct_value": {
                      "fields": {
                        "property1": {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {}
                          },
                          "list_value": {
                            "values": [
                              {}
                            ]
                          }
                        },
                        "property2": {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {}
                          },
                          "list_value": {
                            "values": [
                              {}
                            ]
                          }
                        }
                      }
                    },
                    "list_value": {
                      "values": [
                        {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {
                              "property1": {},
                              "property2": {}
                            }
                          },
                          "list_value": {
                            "values": []
                          }
                        }
                      ]
                    }
                  }
                }
              ]
            }
          ]
        }
      ],
      "proxies": [
        {
          "type": "HTTP",
          "address": "string",
          "username": "string",
          "password": "string"
        }
      ],
      "persistent_metadata": [
        {
          "namespace": "string",
          "entries": [
            {
              "key": "string",
              "value": {
                "null_value": "NULL_VALUE",
                "number_value": 0.1,
                "string_value": "string",
                "bool_value": true,
                "struct_value": {
                  "fields": {
                    "property1": {
                      "null_value": "NULL_VALUE",
                      "number_value": 0.1,
                      "string_value": "string",
                      "bool_value": true,
                      "struct_value": {
                        "fields": {}
                      },
                      "list_value": {
                        "values": [
                          {
                            "null_value": "NULL_VALUE",
                            "number_value": 0.1,
                            "string_value": "string",
                            "bool_value": true,
                            "struct_value": {
                              "fields": {}
                            },
                            "list_value": {
                              "values": []
                            }
                          }
                        ]
                      }
                    },
                    "property2": {
                      "null_value": "NULL_VALUE",
                      "number_value": 0.1,
                      "string_value": "string",
                      "bool_value": true,
                      "struct_value": {
                        "fields": {}
                      },
                      "list_value": {
                        "values": [
                          {
                            "null_value": "NULL_VALUE",
                            "number_value": 0.1,
                            "string_value": "string",
                            "bool_value": true,
                            "struct_value": {
                              "fields": {}
                            },
                            "list_value": {
                              "values": []
                            }
                          }
                        ]
                      }
                    }
                  }
                },
                "list_value": {
                  "values": [
                    {
                      "null_value": "NULL_VALUE",
                      "number_value": 0.1,
                      "string_value": "string",
                      "bool_value": true,
                      "struct_value": {
                        "fields": {
                          "property1": {
                            "null_value": "NULL_VALUE",
                            "number_value": 0.1,
                            "string_value": "string",
                            "bool_value": true,
                            "struct_value": {
                              "fields": {}
                            },
                            "list_value": {
                              "values": []
                            }
                          },
                          "property2": {
                            "null_value": "NULL_VALUE",
                            "number_value": 0.1,
                            "string_value": "string",
                            "bool_value": true,
                            "struct_value": {
                              "fields": {}
                            },
                            "list_value": {
                              "values": []
                            }
                          }
                        }
                      },
                      "list_value": {
                        "values": []
                      }
                    }
                  ]
                }
              }
            }
          ]
        }
      ]
    },
    "state": "STARTING",
    "instance_permissions": [
      {
        "instance_permission": "INSTANCE_COMMAND_EXECUTION",
        "granted": true
      }
    ],
    "settings_definitions": [
      {
        "id": {
          "namespace": "string",
          "key": "string"
        },
        "scope": "SERVER",
        "string": {
          "ui_name": "string",
          "description": "string",
          "def": "string",
          "input_type": "TEXT",
          "placeholder": "string",
          "min_length": 0,
          "max_length": 0,
          "pattern": "string",
          "disabled": true
        },
        "int": {
          "ui_name": "string",
          "description": "string",
          "def": 0,
          "min": 0,
          "max": 0,
          "step": 0,
          "placeholder": "string",
          "thousand_separator": true,
          "disabled": true
        },
        "double": {
          "ui_name": "string",
          "description": "string",
          "def": 0.1,
          "min": 0.1,
          "max": 0.1,
          "step": 0.1,
          "placeholder": "string",
          "thousand_separator": true,
          "decimal_scale": 0,
          "fixed_decimal_scale": true,
          "disabled": true
        },
        "bool": {
          "ui_name": "string",
          "description": "string",
          "def": true,
          "disabled": true
        },
        "combo": {
          "ui_name": "string",
          "description": "string",
          "options": [
            {
              "id": "string",
              "display_name": "string",
              "icon_id": "string",
              "keywords": [
                "string"
              ]
            }
          ],
          "def": "string",
          "disabled": true
        },
        "string_list": {
          "ui_name": "string",
          "description": "string",
          "def": [
            "string"
          ],
          "disabled": true
        },
        "min_max": {
          "min": 0,
          "max": 0,
          "step": 0,
          "thousand_separator": true,
          "minEntry": {
            "ui_name": "string",
            "description": "string",
            "def": 0,
            "placeholder": "string"
          },
          "maxEntry": {
            "ui_name": "string",
            "description": "string",
            "def": 0,
            "placeholder": "string"
          },
          "disabled": true
        }
      }
    ],
    "instance_settings": [
      {
        "id": "string",
        "owning_plugin_id": "string",
        "page_name": "string",
        "entries": [
          {
            "namespace": "string",
            "key": "string"
          }
        ],
        "icon_id": "string",
        "enabled_identifier": {
          "namespace": "string",
          "key": "string"
        }
      }
    ],
    "plugins": [
      {
        "id": "string",
        "version": "string",
        "description": "string",
        "author": "string",
        "license": "string",
        "website": "string"
      }
    ],
    "last_modified": {
      "seconds": 0,
      "nanos": 0
    }
  },
  "not_modified": {
    "last_modified": {
      "seconds": 0,
      "nanos": 0
    }
  }
}
{
  "code": 0,
  "grpc-code": "string",
  "message": "string",
  "stack-trace": "string",
  "details": [
    {}
  ]
}
{
  "code": 0,
  "grpc-code": "string",
  "message": "string",
  "stack-trace": "string",
  "details": [
    {}
  ]
}
{
  "code": 0,
  "grpc-code": "string",
  "message": "string",
  "stack-trace": "string",
  "details": [
    {}
  ]
}

How is this page?